/* acconfig.h for libretto
 *
 * Descriptive text for the C preprocessor macros that
 * the distributed Autoconf macros can define.
 * No software package will use all of them; autoheader copies the ones
 * your configure.in uses into your configuration header file templates.
 *
 * The entries are in sort -df order: alphabetical, case insensitive,
 * ignoring punctuation (such as underscores).  Although this order
 * can split up related entries, it makes it easier to check whether
 * a given entry is in the file.
 *
 * Leave the following blank line there!!  Autoheader needs it.
 */


/* Define if we're building for an ELF object format */
#undef HAVE_ELF

/* Define if -lkvm provides kvm_getu() */
#undef HAVE_FUNC_KVM_GETU

/* Define if -lkvm provides kvm_openfiles() */
#undef HAVE_FUNC_KVM_OPENFILES

/* Define if we're using GNU ld */
#undef HAVE_GNU_LD

/* Define if header file <gnu-stabs.h> exists */
#undef HAVE_GNU_STABS

/* Define if libc provides `program_invocation_name' */
#undef HAVE_VAR_PROGRAM_INVOCATION_NAME

/* Define to the string to use as a `printf' type modifier to get 64-bit values */
#undef LONGLONG_PRINTF_MODIFIER

/* Define this to the full name of the package */
#undef PACKAGE

/* Define this to the sizeof(size_t) */
#undef SIZEOF_SIZE_T

/* Define this as `int' if the header files don't define it */
#undef ssize_t

/* Define this to the version under development */
#undef VERSION


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
